%define         pypiname          pyshp

Name:           python-pyshp
Version:        2.3.1
Release:        %mkrel 4

Summary:        A Python library to manipulate Shapefile format
License:        MIT
Group:          Development/Python

Url:            https://pypi.python.org/pypi/pyshp
Source0:        https://pypi.io/packages/source/p/pyshp/%{pypiname}-%{version}.tar.gz

BuildArch:      noarch



%description
The Python Shapefile Library (pyshp) provides read and write support
for the Esri Shapefile format. The Shapefile format is a popular
Geographic Information System vector data format created by Esri.


%package -n python3-pyshp
Summary:        Python3 implementation of Pyshp
Group:          Development/Python
BuildRequires:  python3-devel


%description -n python3-pyshp
The Python Shapefile Library (pyshp) provides read and write support
for the Esri Shapefile format. The Shapefile format is a popular
Geographic Information System vector data format created by Esri.



%prep
%setup -q -n %{pypiname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files shapefile

%files -n python3-pyshp -f %{pyproject_files}
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.3.1-4.mga10
+ Revision: 2238904
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 2.3.1-3.mga10
+ Revision: 2155658
- rebuild for python3.13

* Thu Dec 14 2023 papoteur <papoteur> 2.3.1-2.mga10
+ Revision: 2018055
- rebuild for python 3.12
- adapt to pyproject

* Sun Dec 04 2022 eatdirt <eatdirt> 2.3.1-1.mga9
+ Revision: 1917555
- Update to version 2.3.1

* Wed Mar 23 2022 umeabot <umeabot> 2.2.0-2.mga9
+ Revision: 1822892
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 2.2.0-1.mga9
+ Revision: 1775647
- version 2.2.0
- rebuild for python-3.10

* Fri Aug 27 2021 eatdirt <eatdirt> 2.1.3-1.mga9
+ Revision: 1742910
- Update to version 2.1.3

* Sat Jun 26 2021 wally <wally> 2.1.2-2.mga9
+ Revision: 1732352
- Rebuild for python 3.9

* Sat Dec 12 2020 eatdirt <eatdirt> 2.1.2-1.mga8
+ Revision: 1656026
- Upgrade to version 2.1.2

* Sun Feb 16 2020 umeabot <umeabot> 2.1.0-3.mga8
+ Revision: 1534933
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 2.1.0-2.mga8
+ Revision: 1450210
- rebuild for python-3.8
- drop python2 subpkg

* Wed Mar 06 2019 eatdirt <eatdirt> 2.1.0-1.mga7
+ Revision: 1371866
- Upgrade to version 2.1.0

* Tue Jan 08 2019 shlomif <shlomif> 2.0.1-1.mga7
+ Revision: 1351565
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2.12-2.mga7
+ Revision: 1289799
- Mageia 7 Mass Rebuild

* Fri Oct 27 2017 eatdirt <eatdirt> 1.2.12-1.mga7
+ Revision: 1173956
- imported package python-pyshp


 * Wed Oct 25 2017 Eatdirt <eatdirt@mageia.org> 1.2.12-1.mga7
 - Importing package Pyshp
